> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Create a payment

POST https://test.api.solvimon.com/v{version}/payments
Content-Type: application/json

Requires the PAYMENT.CREATE permission.

Reference: https://docs.solvimon.com/api-docs/transaction-api/payments/post-payments

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version

### Headers

- `x-platform-id` (string, optional) — Platform ID.

### Body (application/json)

This endpoint expects a PaymentCreateRequest.

- `external_reference` (string, required)
- `result` (enum, required)
  - Allowed values: `AUTHORIZED`, `CANCELLED`, `CHARGED_BACK`, `ERROR`, `PENDING`, `REFUSED`, `REFUNDED`, `PARTIALLY_REFUNDED`
- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `timestamp` (datetime, optional, nullable)
- `customer_id` (string, optional, nullable)
- `customer` (CustomerCreateRequest, optional, nullable)
- `invoice_id` (string, optional, nullable) — Resource ID of type INVOICE
- `payment_acceptor_id` (string, optional, nullable) — Resource ID of type PAYMENT_ACCEPTOR
- `payment_acceptor_reference` (string, optional, nullable)
- `payment_method_id` (string, optional, nullable) — Resource ID of type PAYMENT_METHOD
- `payment_method_details` (PaymentMethodDetailsCreateRequest, optional)
- `integration_payment_method_reference` (string, optional, nullable)
- `reference` (string, optional, nullable)
- `amount` (AmountCreateRequest, optional) — The total amount of the payment
- `refunded_amount` (AmountCreateRequest, optional, nullable) — The total amount refunded so far on this payment, accumulated across possibly several partial refunds.
- `result_details` (PaymentResultDetailsCreateRequest, optional)
- `dunning_action_details` (PaymentDunningActionDetailsCreateRequest, optional)
- `updated_at` (string, optional, nullable)
- `context` (PaymentContextCreateRequest, optional)

## Response

### 200

OK

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `timestamp` (datetime, optional, nullable)
- `customer_id` (string, optional, nullable)
- `customer` (Customer, optional, nullable)
- `invoice_id` (string, optional, nullable) — Resource ID of type INVOICE
- `payment_acceptor_id` (string, optional, nullable) — Resource ID of type PAYMENT_ACCEPTOR
- `payment_acceptor_reference` (string, optional, nullable)
- `payment_method_id` (string, optional, nullable) — Resource ID of type PAYMENT_METHOD
- `payment_method_details` (PaymentMethodDetails, optional)
- `integration_payment_method_reference` (string, optional, nullable)
- `external_reference` (string, optional)
- `reference` (string, optional, nullable)
- `amount` (Amount, optional) — The total amount of the payment
- `refunded_amount` (Amount, optional, nullable) — The total amount refunded so far on this payment, accumulated across possibly several partial refunds.
- `result` (enum, optional)
  - Allowed values: `AUTHORIZED`, `CANCELLED`, `CHARGED_BACK`, `ERROR`, `PENDING`, `REFUSED`, `REFUNDED`, `PARTIALLY_REFUNDED`
- `result_details` (PaymentResultDetails, optional)
- `dunning_action_details` (PaymentDunningActionDetails, optional)
- `updated_at` (string, optional, nullable)
- `context` (PaymentContext, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 401 Unauthorized Error

Unauthorized

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 403 Forbidden Error

Forbidden

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

## Types

### CustomerCreateRequest

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `parent_customer_id` (string, optional, nullable) — The parent of the customer. Only returned when there is a single parent.
- `parent_customer_ids` (list of string, optional, nullable) — A list of parents of the customer. Will also be returned if there is a single parent.
- `reference` (string, optional) — A custom reference assigned to the customer.
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`, `CLOSED`
- `timezone` (string, optional, nullable)
- `type` (enum, optional) — The type of customer entity.
  - Allowed values: `ORGANIZATION`, `INDIVIDUAL`
- `email` (string, optional, nullable) — The email of the customer.
- `notification_preferences` (list of NotificationPreference, optional, nullable) — Notification preferences for customer-related communications.
- `locale` (string, optional, nullable) — The locale of the customer. Format is language-country (like en-US).
- `individual` (Individual, optional) — Additional description of the individual customer type.
- `organization` (Organization, optional) — Additional description of the organization customer type.
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `pricing_plan_subscription_selector` (PricingPlanSubscriptionSelector, optional) — Settings to influence dynamically the subscription to use for the ingest data.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `roles` (list of enum, optional, nullable)
  - Allowed values: `DEFAULT`, `NON_PROCESSING`, `SELF_BILLING`, `SELLER`, `PROCESSING_ONLY`
- `seller_details` (CustomerSellerDetails, optional)
- `processing_only` (boolean, optional, nullable, deprecated)

### PaymentMethodDetailsCreateRequest

- `type` (enum, optional)
  - Allowed values: `CARD`, `ONLINE_BANKING`, `BUY_NOW_PAY_LATER`, `DIRECT_DEBIT`, `DIGITAL_WALLET`, `UNKNOWN`
- `card` (PaymentMethodDetailsCard, optional)
- `online_banking` (PaymentMethodDetailsOnlineBanking, optional)
- `buy_now_pay_later` (PaymentMethodDetailsBuyNowPayLater, optional)
- `direct_debit` (PaymentMethodDetailsDirectDebit, optional)
- `digital_wallet` (PaymentMethodDetailsDigitalWallet, optional)
- `unknown` (PaymentMethodDetailsUnknown, optional)

### AmountCreateRequest

- `quantity` (string, optional)
- `currency` (enum, optional)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### PaymentResultDetailsCreateRequest

- `code` (string, optional, nullable)
- `reason` (string, optional, nullable)
- `external_code` (string, optional, nullable)
- `external_reason` (string, optional, nullable)

### PaymentDunningActionDetailsCreateRequest

- `attempt` (integer, optional, nullable)
- `external_reference` (string, optional, nullable)
- `next_attempt_scheduled` (boolean, optional, nullable)

### PaymentContextCreateRequest

- `type` (enum, optional, nullable)
  - Allowed values: `INVOICE`, `PAY_INVOICE`, `CREATE_PAYMENT_METHOD`, `INIT_PRICING_PLAN_SUBSCRIPTION`, `PAYMENT_REQUEST`, `CHARGE_ON_DEMAND`, `DIRECT`, `CREATE_PRICING_PLAN_SCHEDULE`
- `related_resource_ids` (list of ResourceIdentifier, optional)
- `metadata` (map from string to string, optional, nullable)
- `init_pricing_plan_subscription` (InitPricingPlanSubscriptionPaymentContext, optional)
- `create_payment_method` (CreatePaymentMethodPaymentContext, optional)
- `payment_request` (PaymentRequestPaymentContext, optional)
- `pay_invoice` (PayInvoicePaymentContext, optional)
- `charge_on_demand` (ChargeOnDemandPaymentContext, optional)
- `direct` (DirectPaymentContext, optional)
- `create_pricing_plan_schedule` (CreatePricingPlanSchedulePaymentContext, optional)

### Customer

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `parent_customer_id` (string, optional, nullable) — The parent of the customer. Only returned when there is a single parent.
- `parent_customer_ids` (list of string, optional, nullable) — A list of parents of the customer. Will also be returned if there is a single parent.
- `reference` (string, optional) — A custom reference assigned to the customer.
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`, `CLOSED`
- `timezone` (string, optional, nullable)
- `type` (enum, optional) — The type of customer entity.
  - Allowed values: `ORGANIZATION`, `INDIVIDUAL`
- `email` (string, optional, nullable) — The email of the customer.
- `notification_preferences` (list of NotificationPreference, optional, nullable) — Notification preferences for customer-related communications.
- `locale` (string, optional, nullable) — The locale of the customer. Format is language-country (like en-US).
- `individual` (Individual, optional) — Additional description of the individual customer type.
- `organization` (Organization, optional) — Additional description of the organization customer type.
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `pricing_plan_subscription_selector` (PricingPlanSubscriptionSelector, optional) — Settings to influence dynamically the subscription to use for the ingest data.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `roles` (list of enum, optional, nullable)
  - Allowed values: `DEFAULT`, `NON_PROCESSING`, `SELF_BILLING`, `SELLER`, `PROCESSING_ONLY`
- `seller_details` (CustomerSellerDetails, optional)
- `processing_only` (boolean, optional, nullable, deprecated)

### PaymentMethodDetails

- `type` (enum, optional)
  - Allowed values: `CARD`, `ONLINE_BANKING`, `BUY_NOW_PAY_LATER`, `DIRECT_DEBIT`, `DIGITAL_WALLET`, `UNKNOWN`
- `card` (PaymentMethodDetailsCard, optional)
- `online_banking` (PaymentMethodDetailsOnlineBanking, optional)
- `buy_now_pay_later` (PaymentMethodDetailsBuyNowPayLater, optional)
- `direct_debit` (PaymentMethodDetailsDirectDebit, optional)
- `digital_wallet` (PaymentMethodDetailsDigitalWallet, optional)
- `unknown` (PaymentMethodDetailsUnknown, optional)

### Amount

- `quantity` (string, optional)
- `currency` (enum, optional)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### PaymentResultDetails

- `code` (string, optional, nullable)
- `reason` (string, optional, nullable)
- `external_code` (string, optional, nullable)
- `external_reason` (string, optional, nullable)

### PaymentDunningActionDetails

- `attempt` (integer, optional, nullable)
- `external_reference` (string, optional, nullable)
- `next_attempt_scheduled` (boolean, optional, nullable)

### PaymentContext

- `type` (enum, optional, nullable)
  - Allowed values: `INVOICE`, `PAY_INVOICE`, `CREATE_PAYMENT_METHOD`, `INIT_PRICING_PLAN_SUBSCRIPTION`, `PAYMENT_REQUEST`, `CHARGE_ON_DEMAND`, `DIRECT`, `CREATE_PRICING_PLAN_SCHEDULE`
- `related_resource_ids` (list of ResourceIdentifier, optional)
- `metadata` (map from string to string, optional, nullable)
- `init_pricing_plan_subscription` (InitPricingPlanSubscriptionPaymentContext, optional)
- `create_payment_method` (CreatePaymentMethodPaymentContext, optional)
- `payment_request` (PaymentRequestPaymentContext, optional)
- `pay_invoice` (PayInvoicePaymentContext, optional)
- `charge_on_demand` (ChargeOnDemandPaymentContext, optional)
- `direct` (DirectPaymentContext, optional)
- `create_pricing_plan_schedule` (CreatePricingPlanSchedulePaymentContext, optional)

### NotificationPreference

- `type` (enum, optional) — The notification type to configure.
  - Allowed values: `INVOICE`
- `channels` (list of NotificationChannel, optional, nullable) — The channels for this notification type.

### Individual

- `name` (Name, optional)
- `residential_address` (Address, optional)

### Organization

- `legal_name` (string, optional)
- `tax_id` (string, optional, nullable) — Tax Id used for tax purposes of the organization
- `tax_ids` (list of TaxId, optional, nullable) — Tax Ids used for tax purposes of the organization
- `registration_number` (string, optional, nullable)
- `tax_exempt` (boolean, optional, nullable)
- `tax_exempt_note` (string, optional, nullable)
- `registered_address` (Address, optional)
- `tax_registrations` (list of TaxRegistration, optional, nullable) — Extra tax registrations for the customer

### CustomFieldValue

- `id` (string, optional, nullable) — Resource ID of type CUSTOM_FIELD
- `reference` (string, optional, nullable)
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `integration_details` (IntegrationDetails, optional, nullable)
- `integration_id` (string, optional) — The resource ID of the integration linked to the custom field

### PricingPlanSubscriptionSelector

- `data` (list of PricingPlanSubscriptionSelectorData, optional, nullable)
- `rules` (list of PricingPlanSubscriptionSelectorRule, optional, nullable)
- `filters` (list of PricingPlanSubscriptionSelectorFilter, optional, nullable)
- `fallback` (enum, optional, nullable) — The fallback logic what to do when no subscription is found. By default it is LATEST
  - Allowed values: `LATEST`, `NONE`

### LinkedIntegration

- `id` (string, optional)
- `link_details` (list of LinkDetail, optional)

### CustomerSellerDetails

- `default_billing_entity_id` (string, optional, nullable) — Resource ID of type BILLING_ENTITY

### PaymentMethodDetailsCard

- `brand` (string, optional, nullable)
- `name` (string, optional, nullable)
- `expiry_date` (ExpiryDate, optional)
- `last_four_digits` (string, optional, nullable)
- `country` (string, optional, nullable)

### PaymentMethodDetailsOnlineBanking

- `variant` (string, optional, nullable)
- `owner_name` (string, optional, nullable)
- `iban` (string, optional, nullable)
- `bic` (string, optional, nullable)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`

### PaymentMethodDetailsBuyNowPayLater

- `variant` (string, optional, nullable)

### PaymentMethodDetailsDirectDebit

- `variant` (string, optional, nullable)
- `owner_name` (string, optional, nullable)
- `iban` (string, optional, nullable)
- `bic` (string, optional, nullable)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`

### PaymentMethodDetailsDigitalWallet

- `variant` (string, optional, nullable)

### PaymentMethodDetailsUnknown

- `variant` (string, optional, nullable)

### ResourceIdentifier

- `type` (enum, optional)
  - Allowed values: `PLATFORM`, `CUSTOMER`, `BILLING_ENTITY`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_VALUE_CALCULATION`, `PRODUCT`, `PRODUCT_ITEM`, `PRODUCT_CATEGORY`, `PRICING`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_ITEM_SUMMARY`, `METER_VALUE_CALCULATION_SUMMARY`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SCHEDULE`, `QUOTE`, `QUOTE_VERSION`, `CONTACT`, `CUSTOM_FIELD`, `REQUEST_REFERENCE`, `METER_DATA`, `CHARGE_DATA`, `ADJUSTMENT_DATA`, `PERSIST_DATA`, `INVOICE`, `INVOICE_PAYMENT_ATTEMPT`, `PAYMENT_ACCEPTOR`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `FEATURE`, `ALERT_RULE`, `ALERT`, `USER`, `MEMBERSHIP`, `TEAM`, `ENTITY`, `ACCOUNT_GROUP`, `AUDIT`, `WEBHOOK`, `REPORT_SUBSCRIPTION`, `REPORT_CONFIGURATION`
- `id` (string, optional)

### InitPricingPlanSubscriptionPaymentContext

- `template_pricing_plan_subscription_id` (string, optional) — Resource ID of type PRICING_PLAN_SUBSCRIPTION
- `pricing_plan_subscription_id` (string, optional, nullable)
- `billing_entity_id` (string, optional, nullable)
- `customer_details` (Customer, optional)
- `pricing_plan_schedule_customizations` (list of PricingPlanScheduleCustomization, optional, nullable)
- `enabled_pricings` (list of EnabledPricing, optional, nullable, deprecated)

### CreatePaymentMethodPaymentContext

- `payment_method_id` (string, optional) — Resource ID of type PAYMENT_METHOD

### PaymentRequestPaymentContext

- `payment_request_id` (string, optional) — Resource ID of type PAYMENT_REQUEST

### PayInvoicePaymentContext

- `invoice_id` (string, optional, nullable) — Resource ID of type INVOICE

### ChargeOnDemandPaymentContext

- `pricing_plan_schedule_id` (string, optional) — Resource ID of type PRICING_PLAN_SCHEDULE
- `pricing_items` (list of ChargeOnDemandPaymentContextPricingItem, optional)
- `start_at` (datetime, optional, nullable)

### DirectPaymentContext

- `adyen` (AdyenDirectPaymentContext, optional)

### CreatePricingPlanSchedulePaymentContext

- `pricing_plan_subscription_id` (string, optional) — Resource ID of type PRICING_PLAN_SUBSCRIPTION
- `pricing_plan_version_id` (string, optional) — Resource ID of type PRICING_PLAN_VERSION
- `pricing_id` (string, optional) — Resource ID of type PRICING
- `start_at` (datetime, optional, nullable)

### NotificationChannel

- `type` (enum, optional) — The channel type to use.
  - Allowed values: `EMAIL`
- `enabled` (boolean, optional, nullable) — Whether the channel is enabled for the notification type.

### Name

- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)
- `infix` (string, optional, nullable)

### Address

- `line1` (string, optional, nullable)
- `line2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `postal_code` (string, optional, nullable)
- `state` (string, optional, nullable)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`

### TaxId

- `id` (string, optional)
- `type` (enum, optional, nullable) — Optional tax id type, indicates which type of tax the number is for
  - Allowed values: `GENERIC_TAX_ID`, `AU_GST`, `CA_GST_HST`, `CA_PST`, `CA_PST_BC`, `CA_PST_MB`, `CA_PST_SK`, `CA_QST`
- `display_name` (string, optional, nullable) — User-friendly display name
- `tax_id_validation_result` (TaxIdValidation, optional)

### TaxRegistration

- `id` (string, optional, nullable) — The id of this tax registration
- `description` (string, optional, nullable) — The description of this tax registration
- `tax_id` (string, optional, nullable) — The tax id of this tax registration, e.g. a TIN, VAT id or other tax number
- `tax_ids` (list of TaxId, optional, nullable) — Tax IDs used for tax purposes of the tax registration, e.g. TINs, VAT ids, or other tax number
- `registration_number` (string, optional, nullable) — The registration number of this tax registration, e.g. a company registration number
- `registered_address` (Address, optional) — The address of this tax registration, if different from the billing entity. Currently, only the address will be used for tax calculations

### IntegrationDetails

- `id` (string, optional, nullable)
- `reference` (string, optional, nullable)
- `payment_gateway_variant` (enum, optional)
  - Allowed values: `ADYEN`, `STRIPE`
- `adyen` (AdyenIntegrationDetails, optional)
- `stripe` (StripeIntegrationDetails, optional)

### PricingPlanSubscriptionSelectorData

- `field` (enum, optional)
  - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE`
- `value` (string, optional)

### PricingPlanSubscriptionSelectorRule

- `field` (enum, optional)
  - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE`
- `type` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`

### PricingPlanSubscriptionSelectorFilter

- `field` (enum, optional)
  - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE`
- `type` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`
- `value` (string, optional)

### LinkDetail

- `url` (string, optional, nullable)
- `custom_field_name` (string, optional, nullable)

### ExpiryDate

- `expiry_month` (integer, optional)
- `expiry_year` (integer, optional)

### PricingPlanScheduleCustomization

- `pricing_plan_schedule_id` (string, optional, nullable)
- `seats_values` (list of ConfiguredMeterValue, optional, nullable)
- `enabled_pricings` (list of EnabledPricing, optional, nullable)
- `promotion_codes` (list of string, optional, nullable)
- `pricing_currency` (enum, optional, nullable)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `billing_period` (Period, optional)
- `units` (list of ConfiguredMeterValue, optional, nullable) — The number of units billed per One Off pricing item config priced `FLAT`, replacing the template's. Only `pricing_item_config_id` and `number` may be set; an omitted config falls back to its `default_units`, then to 1.

### EnabledPricing

- `pricing_id` (string, optional) — Resource ID of type PRICING
- `start_at` (datetime, optional, nullable)
- `end_at` (datetime, optional, nullable)

### ChargeOnDemandPaymentContextPricingItem

- `pricing_item_id` (string, optional) — Resource ID of type PRICING_ITEM
- `flexible_amount` (Amount, optional) — The amount to charge for a One Off pricing item priced `FLEXIBLE`. Required for `FLEXIBLE`, and must match the pricing band's currency and sit within its minimum and maximum.
- `units` (PricingItemConfigMeterValue, optional) — The number of units to charge for a One Off pricing item priced `FLAT`. Required for `FLAT`, and must be positive.

### AdyenDirectPaymentContext

- `capture_delay_hours` (integer, optional, nullable)
- `auto_rescue` (DirectAutoRescue, optional)

### TaxIdValidation

- `id` (string, optional)
- `validation_date` (string, optional)
- `source` (string, optional)
- `valid` (enum, optional)
  - Allowed values: `VALID`, `NOT_VALID`, `UNKNOWN`
- `message` (string, optional, nullable)

### AdyenIntegrationDetails

- `recurring_detail_reference` (string, optional)

### StripeIntegrationDetails

- `payment_method_id` (string, optional)

### ConfiguredMeterValue

- `pricing_item_config_id` (string, optional) — Resource ID of type PRICING_ITEM_CONFIG
- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `start_at` (datetime, optional, nullable)
- `set_start_at_to_now` (boolean, optional, nullable)
- `end_at` (string, optional, nullable)

### Period

- `type` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `value` (integer, optional, nullable)

### PricingItemConfigMeterValue

- `number` (string, optional, nullable)
- `amount` (Amount, optional)
- `count` (string, optional, nullable)

### DirectAutoRescue

- `enabled` (boolean, optional, nullable)
- `period` (Period, optional)

## Examples

**Request**

```json
{
  "external_reference": "NL91ABNA-20261013-000412",
  "result": "AUTHORIZED",
  "timestamp": "2026-10-13T09:12:44Z",
  "customer_id": "cust_UwDeeN0vxxHxMPCaeb1R",
  "invoice_id": "invo_iwDeeN0vxxHyjNCGa01I",
  "payment_acceptor_id": "paya_twDeeN0vxxHyldCKvk1w",
  "amount": {
    "quantity": "1600.85",
    "currency": "EUR"
  },
  "context": {
    "type": "PAY_INVOICE",
    "pay_invoice": {
      "invoice_id": "invo_iwDeeN0vxxHyjNCGa01I"
    }
  }
}
```

**Response**

```json
{
  "object_type": "string",
  "id": "string",
  "created_at": "string",
  "timestamp": "2024-01-15T09:30:00Z",
  "customer_id": "string",
  "customer": {
    "object_type": "string",
    "id": "string",
    "created_at": "string",
    "parent_customer_id": "string",
    "parent_customer_ids": [
      "string"
    ],
    "reference": "string",
    "status": "DRAFT",
    "timezone": "string",
    "type": "ORGANIZATION",
    "email": "string",
    "notification_preferences": [
      {
        "type": "INVOICE",
        "channels": [
          {
            "type": "EMAIL",
            "enabled": true
          }
        ]
      }
    ],
    "locale": "string",
    "individual": {
      "name": {
        "first_name": "string",
        "last_name": "string",
        "infix": "string"
      },
      "residential_address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "postal_code": "string",
        "state": "string",
        "country": "AD"
      }
    },
    "organization": {
      "legal_name": "string",
      "tax_id": "string",
      "tax_ids": [
        {
          "id": "string",
          "type": "GENERIC_TAX_ID",
          "display_name": "string",
          "tax_id_validation_result": {
            "id": "string",
            "validation_date": "string",
            "source": "string",
            "valid": "VALID",
            "message": "string"
          }
        }
      ],
      "registration_number": "string",
      "tax_exempt": true,
      "tax_exempt_note": "string",
      "registered_address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "postal_code": "string",
        "state": "string",
        "country": "AD"
      },
      "tax_registrations": [
        {
          "id": "string",
          "description": "string",
          "tax_id": "string",
          "tax_ids": [
            {
              "id": "string",
              "type": "GENERIC_TAX_ID",
              "display_name": "string",
              "tax_id_validation_result": {
                "id": "string",
                "validation_date": "string",
                "source": "string",
                "valid": "VALID",
                "message": "string"
              }
            }
          ],
          "registration_number": "string",
          "registered_address": {
            "line1": "string",
            "line2": "string",
            "city": "string",
            "postal_code": "string",
            "state": "string",
            "country": "AD"
          }
        }
      ]
    },
    "custom_fields": [
      {
        "id": "string",
        "reference": "string",
        "value": "string",
        "values": [
          "string"
        ],
        "integration_details": {
          "id": "string",
          "reference": "string",
          "payment_gateway_variant": "ADYEN",
          "adyen": {
            "recurring_detail_reference": "string"
          },
          "stripe": {
            "payment_method_id": "string"
          }
        },
        "integration_id": "string"
      }
    ],
    "pricing_plan_subscription_selector": {
      "data": [
        {
          "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
          "value": "string"
        }
      ],
      "rules": [
        {
          "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
          "type": "EQUALS"
        }
      ],
      "filters": [
        {
          "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
          "type": "EQUALS",
          "value": "string"
        }
      ],
      "fallback": "LATEST"
    },
    "linked_integrations": [
      {
        "id": "string",
        "link_details": [
          {
            "url": "string",
            "custom_field_name": "string"
          }
        ]
      }
    ],
    "roles": [
      "DEFAULT"
    ],
    "seller_details": {
      "default_billing_entity_id": "string"
    },
    "processing_only": true
  },
  "invoice_id": "string",
  "payment_acceptor_id": "string",
  "payment_acceptor_reference": "string",
  "payment_method_id": "string",
  "payment_method_details": {
    "type": "CARD",
    "card": {
      "brand": "string",
      "name": "string",
      "expiry_date": {
        "expiry_month": 1,
        "expiry_year": 1
      },
      "last_four_digits": "string",
      "country": "string"
    },
    "online_banking": {
      "variant": "string",
      "owner_name": "string",
      "iban": "string",
      "bic": "string",
      "country": "AD"
    },
    "buy_now_pay_later": {
      "variant": "string"
    },
    "direct_debit": {
      "variant": "string",
      "owner_name": "string",
      "iban": "string",
      "bic": "string",
      "country": "AD"
    },
    "digital_wallet": {
      "variant": "string"
    },
    "unknown": {
      "variant": "string"
    }
  },
  "integration_payment_method_reference": "string",
  "external_reference": "string",
  "reference": "string",
  "amount": {
    "quantity": "string",
    "currency": "AED"
  },
  "refunded_amount": {
    "quantity": "string",
    "currency": "AED"
  },
  "result": "AUTHORIZED",
  "result_details": {
    "code": "string",
    "reason": "string",
    "external_code": "string",
    "external_reason": "string"
  },
  "dunning_action_details": {
    "attempt": 1,
    "external_reference": "string",
    "next_attempt_scheduled": true
  },
  "updated_at": "string",
  "context": {
    "type": "INVOICE",
    "related_resource_ids": [
      {
        "type": "PLATFORM",
        "id": "string"
      }
    ],
    "metadata": {},
    "init_pricing_plan_subscription": {
      "template_pricing_plan_subscription_id": "string",
      "pricing_plan_subscription_id": "string",
      "billing_entity_id": "string",
      "customer_details": {
        "object_type": "string",
        "id": "string",
        "created_at": "string",
        "parent_customer_id": "string",
        "parent_customer_ids": [
          "string"
        ],
        "reference": "string",
        "status": "DRAFT",
        "timezone": "string",
        "type": "ORGANIZATION",
        "email": "string",
        "notification_preferences": [
          {
            "type": "INVOICE",
            "channels": [
              {
                "type": "EMAIL",
                "enabled": true
              }
            ]
          }
        ],
        "locale": "string",
        "individual": {
          "name": {
            "first_name": "string",
            "last_name": "string",
            "infix": "string"
          },
          "residential_address": {
            "line1": "string",
            "line2": "string",
            "city": "string",
            "postal_code": "string",
            "state": "string",
            "country": "AD"
          }
        },
        "organization": {
          "legal_name": "string",
          "tax_id": "string",
          "tax_ids": [
            {
              "id": "string",
              "type": "GENERIC_TAX_ID",
              "display_name": "string",
              "tax_id_validation_result": {
                "id": "string",
                "validation_date": "string",
                "source": "string",
                "valid": "VALID",
                "message": "string"
              }
            }
          ],
          "registration_number": "string",
          "tax_exempt": true,
          "tax_exempt_note": "string",
          "registered_address": {
            "line1": "string",
            "line2": "string",
            "city": "string",
            "postal_code": "string",
            "state": "string",
            "country": "AD"
          },
          "tax_registrations": [
            {
              "id": "string",
              "description": "string",
              "tax_id": "string",
              "tax_ids": [
                {
                  "id": "string",
                  "type": "GENERIC_TAX_ID",
                  "display_name": "string",
                  "tax_id_validation_result": {
                    "id": "string",
                    "validation_date": "string",
                    "source": "string",
                    "valid": "VALID",
                    "message": "string"
                  }
                }
              ],
              "registration_number": "string",
              "registered_address": {
                "line1": "string",
                "line2": "string",
                "city": "string",
                "postal_code": "string",
                "state": "string",
                "country": "AD"
              }
            }
          ]
        },
        "custom_fields": [
          {
            "id": "string",
            "reference": "string",
            "value": "string",
            "values": [
              "string"
            ],
            "integration_details": {
              "id": "string",
              "reference": "string",
              "payment_gateway_variant": "ADYEN",
              "adyen": {
                "recurring_detail_reference": "string"
              },
              "stripe": {
                "payment_method_id": "string"
              }
            },
            "integration_id": "string"
          }
        ],
        "pricing_plan_subscription_selector": {
          "data": [
            {
              "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
              "value": "string"
            }
          ],
          "rules": [
            {
              "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
              "type": "EQUALS"
            }
          ],
          "filters": [
            {
              "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
              "type": "EQUALS",
              "value": "string"
            }
          ],
          "fallback": "LATEST"
        },
        "linked_integrations": [
          {
            "id": "string",
            "link_details": [
              {
                "url": "string",
                "custom_field_name": "string"
              }
            ]
          }
        ],
        "roles": [
          "DEFAULT"
        ],
        "seller_details": {
          "default_billing_entity_id": "string"
        },
        "processing_only": true
      },
      "pricing_plan_schedule_customizations": [
        {
          "pricing_plan_schedule_id": "string",
          "seats_values": [
            {
              "pricing_item_config_id": "string",
              "number": "string",
              "amount": {
                "quantity": "string",
                "currency": "AED"
              },
              "start_at": "2024-01-15T09:30:00Z",
              "end_at": "string"
            }
          ],
          "enabled_pricings": [
            {
              "pricing_id": "string",
              "start_at": "2024-01-15T09:30:00Z",
              "end_at": "2024-01-15T09:30:00Z"
            }
          ],
          "promotion_codes": [
            "string"
          ],
          "pricing_currency": "AED",
          "billing_period": {
            "type": "DAY",
            "value": 1
          },
          "units": [
            {
              "pricing_item_config_id": "string",
              "number": "string",
              "amount": {
                "quantity": "string",
                "currency": "AED"
              },
              "start_at": "2024-01-15T09:30:00Z",
              "end_at": "string"
            }
          ]
        }
      ],
      "enabled_pricings": [
        {
          "pricing_id": "string",
          "start_at": "2024-01-15T09:30:00Z",
          "end_at": "2024-01-15T09:30:00Z"
        }
      ]
    },
    "create_payment_method": {
      "payment_method_id": "string"
    },
    "payment_request": {
      "payment_request_id": "string"
    },
    "pay_invoice": {
      "invoice_id": "string"
    },
    "charge_on_demand": {
      "pricing_plan_schedule_id": "string",
      "pricing_items": [
        {
          "pricing_item_id": "string",
          "flexible_amount": {
            "quantity": "string",
            "currency": "AED"
          },
          "units": {
            "number": "string",
            "amount": {
              "quantity": "string",
              "currency": "AED"
            },
            "count": "string"
          }
        }
      ],
      "start_at": "2024-01-15T09:30:00Z"
    },
    "direct": {
      "adyen": {
        "capture_delay_hours": 1,
        "auto_rescue": {
          "enabled": true,
          "period": {
            "type": "DAY",
            "value": 1
          }
        }
      }
    },
    "create_pricing_plan_schedule": {
      "pricing_plan_subscription_id": "string",
      "pricing_plan_version_id": "string",
      "pricing_id": "string",
      "start_at": "2024-01-15T09:30:00Z"
    }
  }
}
```

**SDK Code**

```python Payments_postPayments_example
import requests

url = "https://test.api.solvimon.com/v1/payments"

payload = {
    "external_reference": "NL91ABNA-20261013-000412",
    "result": "AUTHORIZED",
    "timestamp": "2026-10-13T09:12:44Z",
    "customer_id": "cust_UwDeeN0vxxHxMPCaeb1R",
    "invoice_id": "invo_iwDeeN0vxxHyjNCGa01I",
    "payment_acceptor_id": "paya_twDeeN0vxxHyldCKvk1w",
    "amount": {
        "quantity": "1600.85",
        "currency": "EUR"
    },
    "context": {
        "type": "PAY_INVOICE",
        "pay_invoice": { "invoice_id": "invo_iwDeeN0vxxHyjNCGa01I" }
    }
}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Payments_postPayments_example
const url = 'https://test.api.solvimon.com/v1/payments';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"external_reference":"NL91ABNA-20261013-000412","result":"AUTHORIZED","timestamp":"2026-10-13T09:12:44Z","customer_id":"cust_UwDeeN0vxxHxMPCaeb1R","invoice_id":"invo_iwDeeN0vxxHyjNCGa01I","payment_acceptor_id":"paya_twDeeN0vxxHyldCKvk1w","amount":{"quantity":"1600.85","currency":"EUR"},"context":{"type":"PAY_INVOICE","pay_invoice":{"invoice_id":"invo_iwDeeN0vxxHyjNCGa01I"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Payments_postPayments_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://test.api.solvimon.com/v1/payments"

	payload := strings.NewReader("{\n  \"external_reference\": \"NL91ABNA-20261013-000412\",\n  \"result\": \"AUTHORIZED\",\n  \"timestamp\": \"2026-10-13T09:12:44Z\",\n  \"customer_id\": \"cust_UwDeeN0vxxHxMPCaeb1R\",\n  \"invoice_id\": \"invo_iwDeeN0vxxHyjNCGa01I\",\n  \"payment_acceptor_id\": \"paya_twDeeN0vxxHyldCKvk1w\",\n  \"amount\": {\n    \"quantity\": \"1600.85\",\n    \"currency\": \"EUR\"\n  },\n  \"context\": {\n    \"type\": \"PAY_INVOICE\",\n    \"pay_invoice\": {\n      \"invoice_id\": \"invo_iwDeeN0vxxHyjNCGa01I\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payments_postPayments_example
require 'uri'
require 'net/http'

url = URI("https://test.api.solvimon.com/v1/payments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"external_reference\": \"NL91ABNA-20261013-000412\",\n  \"result\": \"AUTHORIZED\",\n  \"timestamp\": \"2026-10-13T09:12:44Z\",\n  \"customer_id\": \"cust_UwDeeN0vxxHxMPCaeb1R\",\n  \"invoice_id\": \"invo_iwDeeN0vxxHyjNCGa01I\",\n  \"payment_acceptor_id\": \"paya_twDeeN0vxxHyldCKvk1w\",\n  \"amount\": {\n    \"quantity\": \"1600.85\",\n    \"currency\": \"EUR\"\n  },\n  \"context\": {\n    \"type\": \"PAY_INVOICE\",\n    \"pay_invoice\": {\n      \"invoice_id\": \"invo_iwDeeN0vxxHyjNCGa01I\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Payments_postPayments_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://test.api.solvimon.com/v1/payments")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"external_reference\": \"NL91ABNA-20261013-000412\",\n  \"result\": \"AUTHORIZED\",\n  \"timestamp\": \"2026-10-13T09:12:44Z\",\n  \"customer_id\": \"cust_UwDeeN0vxxHxMPCaeb1R\",\n  \"invoice_id\": \"invo_iwDeeN0vxxHyjNCGa01I\",\n  \"payment_acceptor_id\": \"paya_twDeeN0vxxHyldCKvk1w\",\n  \"amount\": {\n    \"quantity\": \"1600.85\",\n    \"currency\": \"EUR\"\n  },\n  \"context\": {\n    \"type\": \"PAY_INVOICE\",\n    \"pay_invoice\": {\n      \"invoice_id\": \"invo_iwDeeN0vxxHyjNCGa01I\"\n    }\n  }\n}")
  .asString();
```

```php Payments_postPayments_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://test.api.solvimon.com/v1/payments', [
  'body' => '{
  "external_reference": "NL91ABNA-20261013-000412",
  "result": "AUTHORIZED",
  "timestamp": "2026-10-13T09:12:44Z",
  "customer_id": "cust_UwDeeN0vxxHxMPCaeb1R",
  "invoice_id": "invo_iwDeeN0vxxHyjNCGa01I",
  "payment_acceptor_id": "paya_twDeeN0vxxHyldCKvk1w",
  "amount": {
    "quantity": "1600.85",
    "currency": "EUR"
  },
  "context": {
    "type": "PAY_INVOICE",
    "pay_invoice": {
      "invoice_id": "invo_iwDeeN0vxxHyjNCGa01I"
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Payments_postPayments_example
using RestSharp;

var client = new RestClient("https://test.api.solvimon.com/v1/payments");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"external_reference\": \"NL91ABNA-20261013-000412\",\n  \"result\": \"AUTHORIZED\",\n  \"timestamp\": \"2026-10-13T09:12:44Z\",\n  \"customer_id\": \"cust_UwDeeN0vxxHxMPCaeb1R\",\n  \"invoice_id\": \"invo_iwDeeN0vxxHyjNCGa01I\",\n  \"payment_acceptor_id\": \"paya_twDeeN0vxxHyldCKvk1w\",\n  \"amount\": {\n    \"quantity\": \"1600.85\",\n    \"currency\": \"EUR\"\n  },\n  \"context\": {\n    \"type\": \"PAY_INVOICE\",\n    \"pay_invoice\": {\n      \"invoice_id\": \"invo_iwDeeN0vxxHyjNCGa01I\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Payments_postPayments_example
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "external_reference": "NL91ABNA-20261013-000412",
  "result": "AUTHORIZED",
  "timestamp": "2026-10-13T09:12:44Z",
  "customer_id": "cust_UwDeeN0vxxHxMPCaeb1R",
  "invoice_id": "invo_iwDeeN0vxxHyjNCGa01I",
  "payment_acceptor_id": "paya_twDeeN0vxxHyldCKvk1w",
  "amount": [
    "quantity": "1600.85",
    "currency": "EUR"
  ],
  "context": [
    "type": "PAY_INVOICE",
    "pay_invoice": ["invoice_id": "invo_iwDeeN0vxxHyjNCGa01I"]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/payments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```